com.tibbo.aggregate.common.server

## Interface JobsContextConstants

-     public interface JobsContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_CREATE_BY_DND`
    `static java.lang.String` | `A_UPGRADE_SERVER`
    `static java.lang.String` | `AGG_JAVA`
    `static java.lang.String` | `AT`
    `static java.lang.String` | `C_CP`
    `static java.lang.String` | `C_JAR`
    `static java.lang.String` | `COMMONS_LIB`
    `static java.lang.String` | `DELIMITER`
    `static java.lang.String` | `F_UPGRADE`
    `static java.lang.String` | `FIF_UPGRADE_DELAY`
    `static java.lang.String` | `FIF_UPGRADE_FILE`
    `static java.lang.String` | `FIF_UPGRADE_INSTANTLY`
    `static java.lang.String` | `FIF_UPGRADE_REASON`
    `static java.lang.String` | `JAR`
    `static java.lang.String` | `JAVA`
    `static java.lang.String` | `LINUX_777`
    `static java.lang.String` | `LINUX_CHMOD`
    `static java.lang.String` | `LINUX_PREFIX`
    `static java.lang.Integer` | `TIMEOUT`
    `static java.lang.String` | `UPDATE_LINUX`
    `static java.lang.String` | `UPDATE_MACOS`
    `static java.lang.String` | `UPDATE_OS_ARCH`
    `static java.lang.String` | `UPDATE_OS_ARCH_64`
    `static java.lang.String` | `UPDATE_OS_NAME`
    `static java.lang.String` | `UPDATE_OS_X`
    `static java.lang.String` | `UPDATE_UNIX`
    `static java.lang.String` | `UPDATE_WINDOWS`
    `static java.lang.String` | `UPGRADE_LIB`
    `static java.lang.String` | `UPGRADE_LOG`
    `static java.lang.Integer` | `WAIT_PERIOD`

- - ### Field Detail

    - #### A_CREATE_BY_DND

          static final java.lang.String A_CREATE_BY_DND

      See Also:
        Constant Field Values

    - #### A_UPGRADE_SERVER

          static final java.lang.String A_UPGRADE_SERVER

      See Also:
        Constant Field Values

    - #### TIMEOUT

          static final java.lang.Integer TIMEOUT

    - #### WAIT_PERIOD

          static final java.lang.Integer WAIT_PERIOD

    - #### JAVA

          static final java.lang.String JAVA

      See Also:
        Constant Field Values

    - #### AGG_JAVA

          static final java.lang.String AGG_JAVA

      See Also:
        Constant Field Values

    - #### C_CP

          static final java.lang.String C_CP

      See Also:
        Constant Field Values

    - #### C_JAR

          static final java.lang.String C_JAR

      See Also:
        Constant Field Values

    - #### JAR

          static final java.lang.String JAR

      See Also:
        Constant Field Values

    - #### DELIMITER

          static final java.lang.String DELIMITER

      See Also:
        Constant Field Values

    - #### AT

          static final java.lang.String AT

      See Also:
        Constant Field Values

    - #### LINUX_PREFIX

          static final java.lang.String LINUX_PREFIX

      See Also:
        Constant Field Values

    - #### LINUX_CHMOD

          static final java.lang.String LINUX_CHMOD

      See Also:
        Constant Field Values

    - #### LINUX_777

          static final java.lang.String LINUX_777

      See Also:
        Constant Field Values

    - #### COMMONS_LIB

          static final java.lang.String COMMONS_LIB

      See Also:
        Constant Field Values

    - #### UPGRADE_LIB

          static final java.lang.String UPGRADE_LIB

      See Also:
        Constant Field Values

    - #### UPGRADE_LOG

          static final java.lang.String UPGRADE_LOG

      See Also:
        Constant Field Values

    - #### UPDATE_MACOS

          static final java.lang.String UPDATE_MACOS

      See Also:
        Constant Field Values

    - #### UPDATE_OS_NAME

          static final java.lang.String UPDATE_OS_NAME

      See Also:
        Constant Field Values

    - #### UPDATE_OS_X

          static final java.lang.String UPDATE_OS_X

      See Also:
        Constant Field Values

    - #### UPDATE_WINDOWS

          static final java.lang.String UPDATE_WINDOWS

      See Also:
        Constant Field Values

    - #### UPDATE_UNIX

          static final java.lang.String UPDATE_UNIX

      See Also:
        Constant Field Values

    - #### UPDATE_LINUX

          static final java.lang.String UPDATE_LINUX

      See Also:
        Constant Field Values

    - #### UPDATE_OS_ARCH

          static final java.lang.String UPDATE_OS_ARCH

      See Also:
        Constant Field Values

    - #### UPDATE_OS_ARCH_64

          static final java.lang.String UPDATE_OS_ARCH_64

      See Also:
        Constant Field Values

    - #### F_UPGRADE

          static final java.lang.String F_UPGRADE

      See Also:
        Constant Field Values

    - #### FIF_UPGRADE_FILE

          static final java.lang.String FIF_UPGRADE_FILE

      See Also:
        Constant Field Values

    - #### FIF_UPGRADE_INSTANTLY

          static final java.lang.String FIF_UPGRADE_INSTANTLY

      See Also:
        Constant Field Values

    - #### FIF_UPGRADE_DELAY

          static final java.lang.String FIF_UPGRADE_DELAY

      See Also:
        Constant Field Values

    - #### FIF_UPGRADE_REASON

          static final java.lang.String FIF_UPGRADE_REASON

      See Also:
        Constant Field Values